Bug 1111233 - RHEL6: docker run fails on --privileged
Summary: RHEL6: docker run fails on --privileged
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-io
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1111916
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 14:14 UTC by Vincent Batts
Modified: 2014-09-15 19:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-15 19:56:18 UTC


Attachments (Terms of Use)

Description Vincent Batts 2014-06-19 14:14:05 UTC
Description of problem:
running a privileged container should not fail, but it does


Version-Release number of selected component (if applicable):
docker-io-1.0.0-3.el6.x86_64

How reproducible:
consistent

Steps to Reproduce:
1. docker run -it --rm --privileged fedora echo HOWDY
2.
3.

Actual results:
2014/06/19 09:58:45 Error: Cannot start container 807ea2ed77cdd98dd7dd5600aa363be6ae64c022a03dde70e033d5e7283808ab: stat /dev/.udev/db/bsg:0:0:0:0: no such file or directory

Expected results:
HOWDY

Additional info:
This appears to already be resolved in docker/master branch.

Comment 1 Daniel Walsh 2014-06-23 12:44:53 UTC
Is this a bug in the fedora image?  IE Other containers are working on RHEL6?

Comment 3 Vincent Batts 2014-07-18 13:04:52 UTC
(In reply to Daniel Walsh from comment #1)
> Is this a bug in the fedora image?  IE Other containers are working on RHEL6?

Sorry i missed this question, Dan. It is not the fedora image. I fails on any image.

Comment 4 Vincent Batts 2014-07-22 17:14:24 UTC
the related fix for this is https://github.com/docker/libcontainer/pull/26

Comment 5 Vincent Batts 2014-07-22 17:18:50 UTC
which is included in libcontainer v1.0.1 https://github.com/docker/libcontainer/commits/v1.0.1

Which is actively being packaged and reviewed https://bugzilla.redhat.com/show_bug.cgi?id=1111916

Comment 6 Daniel Walsh 2014-07-22 17:43:19 UTC
Lokesh could you update EPEL6 to docker-1.1.1

Comment 7 Daniel Walsh 2014-09-15 19:56:18 UTC
Fixed in docker-1.2


Note You need to log in before you can comment on or make changes to this bug.